package com.ss.android.ugc.aweme.challenge.model;

import X.BMW;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.api.BaseResponse;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.LogPbBean;
import java.util.List;

public class ChallengeAwemeList extends BaseResponse implements BMW {
    @c(LIZ = "cursor")
    public long cursor;
    @c(LIZ = "has_more")
    public int hasMore;
    @c(LIZ = "aweme_list")
    public List<Aweme> items;
    @c(LIZ = "log_pb")
    public LogPbBean logPb;
    @c(LIZ = "mix_list")
    public List<MixCardStruct> mixList;
    @c(LIZ = "rid")
    public String requestId;

    static {
        Covode.recordClassIndex(55720);
    }

    public String getRequestId() {
        return this.requestId;
    }

    public boolean isHasMore() {
        if (this.hasMore == 1) {
            return true;
        }
        return false;
    }

    public void setRequestId(String str) {
        this.requestId = str;
    }
}
